List spans
curl --request GET \
--url https://api.agentmark.co/v1/spans \
--header 'Authorization: Bearer <token>' \
--header 'X-Agentmark-App-Id: <api-key>'import requests
url = "https://api.agentmark.co/v1/spans"
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agentmark.co/v1/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentmark.co/v1/spans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Agentmark-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentmark.co/v1/spans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agentmark-App-Id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentmark.co/v1/spans")
.header("X-Agentmark-App-Id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentmark.co/v1/spans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agentmark-App-Id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cost": 123,
"duration_ms": 123,
"id": "<string>",
"input_tokens": 1,
"metadata": {},
"model": "<string>",
"name": "<string>",
"output_tokens": 1,
"parent_id": "<string>",
"prompt_name": "<string>",
"service_name": "<string>",
"span_kind": "<string>",
"status": "UNSET",
"status_message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"tokens": 1,
"trace_id": "<string>",
"type": "<string>"
}
],
"pagination": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Spans
List spans
Query spans across all traces. Supports filtering by type, status, model, name, and duration range.
GET
/
v1
/
spans
List spans
curl --request GET \
--url https://api.agentmark.co/v1/spans \
--header 'Authorization: Bearer <token>' \
--header 'X-Agentmark-App-Id: <api-key>'import requests
url = "https://api.agentmark.co/v1/spans"
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agentmark.co/v1/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentmark.co/v1/spans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Agentmark-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentmark.co/v1/spans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agentmark-App-Id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentmark.co/v1/spans")
.header("X-Agentmark-App-Id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentmark.co/v1/spans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agentmark-App-Id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cost": 123,
"duration_ms": 123,
"id": "<string>",
"input_tokens": 1,
"metadata": {},
"model": "<string>",
"name": "<string>",
"output_tokens": 1,
"parent_id": "<string>",
"prompt_name": "<string>",
"service_name": "<string>",
"span_kind": "<string>",
"status": "UNSET",
"status_message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"tokens": 1,
"trace_id": "<string>",
"type": "<string>"
}
],
"pagination": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Application ID for tenant scoping. X-Outerlayer-App-Id is accepted as an equivalent header.
API key (sk_agentmark_*)
Query Parameters
Required range:
1 <= x <= 500Required range:
x >= 0Available options:
SPAN, GENERATION, EVENT Available options:
UNSET, OK, ERROR Required range:
x >= 0Required range:
x >= 0Filter expression (string DSL), same grammar as GET /v1/traces. Clauses combined with and; a clause is a predicate (field operator [value]) or a parenthesized OR-group: (a = 1 or b = 2). Supports metadata.<key> with exists / does not exist / = / string operators. Example: (model = "gpt-4o" or model = "o3") and status = ERROR. Malformed filters return 400.
Was this page helpful?
⌘I